> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get entity context

> Read one context entity with its evidence.

**Operation ID:** `http.context.entity`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/context/entities/{id}
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/context/entities/{id}
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/context/entities/{id}:
    get:
      tags:
        - Search and citations
      summary: Get entity context
      description: >-
        Read one context entity with its evidence.


        Product guidance: [Search](/concepts/search), [Passage and
        citation](/concepts/passage), [Context](/concepts/context).
      operationId: http.context.entity
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: relationship_limit
          in: query
          required: false
          description: How many relationships to return, 1 to 100. Defaults to 20.
          schema:
            type: string
        - name: relationship_cursor
          in: query
          required: false
          description: Continue the relationship list.
          schema:
            type: string
        - name: file_surface
          in: query
          required: false
          description: The Files surface to read file references from.
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_context_entity_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_context_entity_response:
      type: object
      properties:
        data:
          type: object
          properties:
            schema:
              type: string
              const: penumbra.project-context-entity
            version:
              type: number
              const: 1
            entity:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                type:
                  type: string
                  minLength: 1
                name:
                  anyOf:
                    - type: string
                    - type: 'null'
                description:
                  anyOf:
                    - type: string
                    - type: 'null'
                revision:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
                created_at:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                updated_at:
                  type: string
                  format: date-time
                  pattern: >-
                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                shape:
                  anyOf:
                    - type: object
                      properties:
                        shape_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        artifact_digest:
                          type: string
                          pattern: ^sha256:[0-9a-f]{64}$
                        name:
                          anyOf:
                            - type: string
                              minLength: 1
                              maxLength: 1024
                            - type: 'null'
                        description:
                          anyOf:
                            - type: string
                              maxLength: 16384
                            - type: 'null'
                        type_description:
                          anyOf:
                            - type: string
                              maxLength: 16384
                            - type: 'null'
                      required:
                        - shape_id
                        - artifact_digest
                      additionalProperties: false
                    - type: 'null'
                properties:
                  type: object
                  propertyNames:
                    type: string
                  additionalProperties: {}
                files:
                  maxItems: 32
                  type: array
                  items:
                    type: object
                    properties:
                      file_id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      version_id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      content_digest:
                        type: string
                        pattern: ^sha256:[0-9a-f]{64}$
                      chunk_id:
                        anyOf:
                          - type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          - type: 'null'
                      name:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 1024
                          - type: 'null'
                      path:
                        anyOf:
                          - type: string
                            minLength: 1
                            maxLength: 4096
                          - type: 'null'
                    required:
                      - file_id
                      - version_id
                      - content_digest
                      - chunk_id
                    additionalProperties: false
                time:
                  type: object
                  properties:
                    revision:
                      type: integer
                      exclusiveMinimum: 0
                      maximum: 9007199254740991
                    valid_time:
                      type: object
                      properties:
                        property:
                          type: string
                        valid_from:
                          type: string
                        valid_to:
                          type: string
                        how:
                          type: string
                      required:
                        - property
                        - valid_from
                        - valid_to
                        - how
                      additionalProperties: false
                    due_time:
                      type: object
                      properties:
                        property:
                          type: string
                        due_on:
                          type: string
                        how:
                          type: string
                      required:
                        - property
                        - due_on
                        - how
                      additionalProperties: false
                    source_time:
                      type: object
                      properties:
                        file_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        version_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        source_date:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - file_id
                        - version_id
                        - source_date
                      additionalProperties: false
                  required:
                    - revision
                  additionalProperties: false
              required:
                - id
                - type
                - name
                - description
                - revision
                - created_at
                - updated_at
                - shape
                - properties
                - files
              additionalProperties: false
            relationships:
              maxItems: 100
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  source_node_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  target_node_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  type:
                    type: string
                    minLength: 1
                  properties:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  revision:
                    type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  created_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  updated_at:
                    type: string
                    format: date-time
                    pattern: >-
                      ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                  direction:
                    type: string
                    enum:
                      - inbound
                      - outbound
                  shape:
                    anyOf:
                      - type: object
                        properties:
                          shape_id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          artifact_digest:
                            type: string
                            pattern: ^sha256:[0-9a-f]{64}$
                          name:
                            anyOf:
                              - type: string
                                minLength: 1
                                maxLength: 1024
                              - type: 'null'
                          description:
                            anyOf:
                              - type: string
                                maxLength: 16384
                              - type: 'null'
                          type_description:
                            anyOf:
                              - type: string
                                maxLength: 16384
                              - type: 'null'
                        required:
                          - shape_id
                          - artifact_digest
                        additionalProperties: false
                      - type: 'null'
                  neighbor:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      type:
                        type: string
                        minLength: 1
                      name:
                        anyOf:
                          - type: string
                          - type: 'null'
                      description:
                        anyOf:
                          - type: string
                          - type: 'null'
                      revision:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      created_at:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                      updated_at:
                        type: string
                        format: date-time
                        pattern: >-
                          ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                      shape:
                        anyOf:
                          - type: object
                            properties:
                              shape_id:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              artifact_digest:
                                type: string
                                pattern: ^sha256:[0-9a-f]{64}$
                              name:
                                anyOf:
                                  - type: string
                                    minLength: 1
                                    maxLength: 1024
                                  - type: 'null'
                              description:
                                anyOf:
                                  - type: string
                                    maxLength: 16384
                                  - type: 'null'
                              type_description:
                                anyOf:
                                  - type: string
                                    maxLength: 16384
                                  - type: 'null'
                            required:
                              - shape_id
                              - artifact_digest
                            additionalProperties: false
                          - type: 'null'
                    required:
                      - id
                      - type
                      - name
                      - description
                      - revision
                      - created_at
                      - updated_at
                      - shape
                    additionalProperties: false
                  time:
                    type: object
                    properties:
                      revision:
                        type: integer
                        exclusiveMinimum: 0
                        maximum: 9007199254740991
                      valid_time:
                        type: object
                        properties:
                          property:
                            type: string
                          valid_from:
                            type: string
                          valid_to:
                            type: string
                          how:
                            type: string
                        required:
                          - property
                          - valid_from
                          - valid_to
                          - how
                        additionalProperties: false
                      due_time:
                        type: object
                        properties:
                          property:
                            type: string
                          due_on:
                            type: string
                          how:
                            type: string
                        required:
                          - property
                          - due_on
                          - how
                        additionalProperties: false
                      source_time:
                        type: object
                        properties:
                          file_id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          version_id:
                            type: string
                            format: uuid
                            pattern: >-
                              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                          source_date:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - file_id
                          - version_id
                          - source_date
                        additionalProperties: false
                    required:
                      - revision
                    additionalProperties: false
                required:
                  - id
                  - source_node_id
                  - target_node_id
                  - type
                  - properties
                  - revision
                  - created_at
                  - updated_at
                  - direction
                  - shape
                  - neighbor
                additionalProperties: false
            relationship_page:
              type: object
              properties:
                has_more:
                  type: boolean
                next_cursor:
                  anyOf:
                    - type: string
                    - type: 'null'
              required:
                - has_more
                - next_cursor
              additionalProperties: false
          required:
            - schema
            - version
            - entity
            - relationships
            - relationship_page
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.